Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Updates the details of the specified persona.
cURL
curl --request PATCH \ --url 'https://api.equalsmoney.com/v2/personas/{personaId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "emailAddress": "Clint_Moore@gmail.com", "employeeNumber": "948947464", "workNumber": "(807) 940-7411 x8855", "jobTitle": "Human Division Manager", "status": "active", "transactionalEmailPreference": true, "marketingEmailsPreference": true, "securityNotificationsPreference": true, "cardTransactionPushNotificationPreference": true, "annotationSliderPreference": true } '
import requests url = "https://api.equalsmoney.com/v2/personas/{personaId}" payload = { "emailAddress": "Clint_Moore@gmail.com", "employeeNumber": "948947464", "workNumber": "(807) 940-7411 x8855", "jobTitle": "Human Division Manager", "status": "active", "transactionalEmailPreference": True, "marketingEmailsPreference": True, "securityNotificationsPreference": True, "cardTransactionPushNotificationPreference": True, "annotationSliderPreference": True } headers = { "Authorization": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({ emailAddress: 'Clint_Moore@gmail.com', employeeNumber: '948947464', workNumber: '(807) 940-7411 x8855', jobTitle: 'Human Division Manager', status: 'active', transactionalEmailPreference: true, marketingEmailsPreference: true, securityNotificationsPreference: true, cardTransactionPushNotificationPreference: true, annotationSliderPreference: true }) }; fetch('https://api.equalsmoney.com/v2/personas/{personaId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/personas/{personaId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ 'emailAddress' => 'Clint_Moore@gmail.com', 'employeeNumber' => '948947464', 'workNumber' => '(807) 940-7411 x8855', 'jobTitle' => 'Human Division Manager', 'status' => 'active', 'transactionalEmailPreference' => true, 'marketingEmailsPreference' => true, 'securityNotificationsPreference' => true, 'cardTransactionPushNotificationPreference' => true, 'annotationSliderPreference' => true ]), CURLOPT_HTTPHEADER => [ "Authorization: <api-key>", "Content-Type: application/json" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/personas/{personaId}" payload := strings.NewReader("{\n \"emailAddress\": \"Clint_Moore@gmail.com\",\n \"employeeNumber\": \"948947464\",\n \"workNumber\": \"(807) 940-7411 x8855\",\n \"jobTitle\": \"Human Division Manager\",\n \"status\": \"active\",\n \"transactionalEmailPreference\": true,\n \"marketingEmailsPreference\": true,\n \"securityNotificationsPreference\": true,\n \"cardTransactionPushNotificationPreference\": true,\n \"annotationSliderPreference\": true\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.patch("https://api.equalsmoney.com/v2/personas/{personaId}") .header("Authorization", "<api-key>") .header("Content-Type", "application/json") .body("{\n \"emailAddress\": \"Clint_Moore@gmail.com\",\n \"employeeNumber\": \"948947464\",\n \"workNumber\": \"(807) 940-7411 x8855\",\n \"jobTitle\": \"Human Division Manager\",\n \"status\": \"active\",\n \"transactionalEmailPreference\": true,\n \"marketingEmailsPreference\": true,\n \"securityNotificationsPreference\": true,\n \"cardTransactionPushNotificationPreference\": true,\n \"annotationSliderPreference\": true\n}") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/personas/{personaId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = '<api-key>' request["Content-Type"] = 'application/json' request.body = "{\n \"emailAddress\": \"Clint_Moore@gmail.com\",\n \"employeeNumber\": \"948947464\",\n \"workNumber\": \"(807) 940-7411 x8855\",\n \"jobTitle\": \"Human Division Manager\",\n \"status\": \"active\",\n \"transactionalEmailPreference\": true,\n \"marketingEmailsPreference\": true,\n \"securityNotificationsPreference\": true,\n \"cardTransactionPushNotificationPreference\": true,\n \"annotationSliderPreference\": true\n}" response = http.request(request) puts response.read_body
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "F50091", "emailAddress": "Clint_Moore@gmail.com", "employeeNumber": "948947464", "workNumber": "(807) 940-7411 x8855", "jobTitle": "Human Division Manager", "status": "active", "addresses": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "office", "nickName": "office", "addressLine1": "Great Building", "addressLine2": "Four Maple Street", "addressLine3": "Southwark", "addressContact": "Brian May", "city": "string", "postcode": "SE13UB", "country": "England", "countryCode": "GB", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "createdBy": {}, "createdByPersonaId": "8e214819-5c83-429f-a976-eb127a0a8a88", "primaryOwnerOf": {}, "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "F50091", "name": "dolly@parton.com", "description": "XYZ123", "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "transactionalEmailPreference": true, "cardTransactionPushNotificationPreference": true, "annotationSliderPreference": true, "inviteSentDate": "2018-12-01T14:54:30.000Z", "marketingEmails": true, "securityNotifications": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }
The ID of the persona to work with.
36
"8e214819-5c83-429f-a976-eb127a0a8a88"
The ID of the account to work with.
"F50091"
Body
256
"Clint_Moore@gmail.com"
"948947464"
50
"(807) 940-7411 x8855"
"Human Division Manager"
active
deactivated
"active"
Indicates whether this persona has opted to receive the emails or not.
Indicates whether this persona has opted to receive the marketing emails or not.
Indicates whether this persona has opted to receive the security notifications or not.
User preference for receiving push notifications for each individual card transaction.
Whether this person wants the annotation slider, the mobile queue for annotating card transactions. Defaults to true.
true
OK
created
invited
inviteExpired
cancelled
null
Show child attributes
The date the signup was created or updated. ISO 8601 format. Invites are valid for 14 days.
"2018-12-01T14:54:30.000Z"
The date the Resource was initially created. ISO 8601 format without milliseconds.
The date the Resource was last modified. ISO 8601 format without milliseconds.
Was this page helpful?